Mono.Posix 1.0.5000.0 2.0.0.0 4.0.0.0 System.MarshalByRefObject System.IDisposable A class to provide client connections to Unix domain socket servers.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Creates a new UnixClient with no connection.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  to connect to.
  Creates a new UnixClient and establishes a connection to the passed in . Most of the time users will want to use the constructor instead, unless you already have a .
  is .
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  A file system path to the Unix domain socket to connect to.
  Create a new UnixClient and connect to the server specified by path.
  is .
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.Socket The underlying for this UnixClient. The for the underlying connection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void Closes the connection Instance has been disposed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` The to connect to. Connects to a Unix domain socket specified by the endpoint. Instance has been disposed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` A file system path pointing to the Unix domain socket Connects to a Unix domain socket specified by path. Instance has been disposed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void Disposes of all managed resources of this UnixClient. This will close the network connection, if any.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.NetworkStream Gets the underlying for this UnixClient. The for this client. Instance has been disposed.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.Sockets.LingerOption If set, the socket will remain open after it has been instructed to close, in order to send data that remains in the buffer. Instance has been disposed.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  Mono.Unix.PeerCred Gets the credentials for the other side of the Unix domain socket connection. Not all operating systems support peer credentials on Unix domain sockets. This might not be available on all systems. Instance has been disposed.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 The size of the receive buffer The size of the receive buffer, in bytes. The default value is 8192 bytes. Instance has been disposed.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 The amount of time to wait when receiving data once a read has started. Amount of time to wait, in milliseconds. The default is 0, which means no timeout. Instance has been disposed.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 The size of the send buffer. The size of the send buffer, in bytes. The default value is 8192 bytes. Instance has been disposed.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 The amount of time to wait when sending data once a write has started. Amount of time to wait, in milliseconds. The default is 0, which means no timeout. To be added. Instance has been disposed.